## icheck 0.9.3

=== Makefile ===
all: CType/Native.pm

clean:
	rm -f typegen.c typegen CType/Native.pm

prefix=/usr
DESTDIR=

INSTALL_bin_FILES = icheck
INSTALL_perl_FILES = \
	CDecl.pm CExpr.pm CParse.pm CType.pm \
	CDecl/Enumerator.pm \
	CExpr/Add.pm \
	CExpr/Alignof.pm \
	CExpr/ArraySubscript.pm \
	CExpr/Assign/Add.pm \
	CExpr/Assign/BitAnd.pm \
	CExpr/Assign/BitOr.pm \
	CExpr/Assign/BitXor.pm \
	CExpr/Assign/Divide.pm \
	CExpr/Assign/Modulus.pm \
	CExpr/Assign/Multiply.pm \
	CExpr/Assign/ShiftLeft.pm \
	CExpr/Assign/ShiftRight.pm \
	CExpr/Assign/Subtract.pm \
	CExpr/BitAnd.pm \
	CExpr/BitOr.pm \
	CExpr/BitXor.pm \
	CExpr/BoolAnd.pm \
	CExpr/BoolOr.pm \
	CExpr/Cast.pm \
	CExpr/Conditional.pm \
	CExpr/Divide.pm \
	CExpr/Equal.pm \
	CExpr/Greater.pm \
	CExpr/GreaterEqual.pm \
	CExpr/Integer.pm \
	CExpr/Less.pm \
	CExpr/LessEqual.pm \
	CExpr/Member.pm \
	CExpr/MemberIndirect.pm \
	CExpr/Modulus.pm \
	CExpr/Multiply.pm \
	CExpr/NotEqual.pm \
	CExpr/Postdec.pm \
	CExpr/Postinc.pm \
	CExpr/Predec.pm \
	CExpr/Preinc.pm \
	CExpr/Ref.pm \
	CExpr/SeqExpression.pm \
	CExpr/ShiftLeft.pm \
	CExpr/ShiftRight.pm \
	CExpr/Sizeof.pm \
	CExpr/SizeofExpr.pm \
	CExpr/Subtract.pm \
	CExpr/Unary/AddressOf.pm \
	CExpr/Unary/BitNot.pm \
	CExpr/Unary/BoolNot.pm \
	CExpr/Unary/Deref.pm \
	CExpr/Unary/Negative.pm \
	CExpr/Unary/Positive.pm \
	CParse/Attribute.pm \
	CParse/AttributeList.pm \
	CParse/Char.pm \
	CParse/Declaration.pm \
	CParse/Declarator.pm \
	CParse/Declarator/Array.pm \
	CParse/Declarator/Direct.pm \
	CParse/Declarator/Function.pm \
	CParse/Enum.pm \
	CParse/EnumRef.pm \
	CParse/Enumerator.pm \
	CParse/Extension.pm \
	CParse/Float.pm \
	CParse/Function.pm \
	CParse/FunctionSpecifier.pm \
	CParse/Identifier.pm \
	CParse/Integer.pm \
	CParse/Namespace.pm \
	CParse/Op.pm \
	CParse/Op/Add.pm \
	CParse/Op/Alignof.pm \
	CParse/Op/ArraySubscript.pm \
	CParse/Op/Assign.pm \
	CParse/Op/Assign/Add.pm \
	CParse/Op/Assign/BitAnd.pm \
	CParse/Op/Assign/BitOr.pm \
	CParse/Op/Assign/BitXor.pm \
	CParse/Op/Assign/Divide.pm \
	CParse/Op/Assign/Modulus.pm \
	CParse/Op/Assign/Multiply.pm \
	CParse/Op/Assign/ShiftLeft.pm \
	CParse/Op/Assign/ShiftRight.pm \
	CParse/Op/Assign/Subtract.pm \
	CParse/Op/BitAnd.pm \
	CParse/Op/BitOr.pm \
	CParse/Op/BitXor.pm \
	CParse/Op/BoolAnd.pm \
	CParse/Op/BoolOr.pm \
	CParse/Op/Call.pm \
	CParse/Op/Cast.pm \
	CParse/Op/Conditional.pm \
	CParse/Op/Divide.pm \
	CParse/Op/Equal.pm \
	CParse/Op/Expression.pm \
	CParse/Op/Member.pm \
	CParse/Op/MemberIndirect.pm \
	CParse/Op/Modulus.pm \
	CParse/Op/Multiply.pm \
	CParse/Op/NotEqual.pm \
	CParse/Op/Postdec.pm \
	CParse/Op/Postfix.pm \
	CParse/Op/Postinc.pm \
	CParse/Op/Predec.pm \
	CParse/Op/Preinc.pm \
	CParse/Op/Relation.pm \
	CParse/Op/Relation/Greater.pm \
	CParse/Op/Relation/GreaterEqual.pm \
	CParse/Op/Relation/Less.pm \
	CParse/Op/Relation/LessEqual.pm \
	CParse/Op/Shift.pm \
	CParse/Op/Shift/Left.pm \
	CParse/Op/Shift/Right.pm \
	CParse/Op/Sizeof.pm \
	CParse/Op/SizeofExpr.pm \
	CParse/Op/Subtract.pm \
	CParse/Op/Unary.pm \
	CParse/Op/Unary/AddressOf.pm \
	CParse/Op/Unary/BitNot.pm \
	CParse/Op/Unary/BoolNot.pm \
	CParse/Op/Unary/Deref.pm \
	CParse/Op/Unary/Negative.pm \
	CParse/Op/Unary/Positive.pm \
	CParse/ParameterDeclaration.pm \
	CParse/Parser/Perl.pm \
	CParse/Parser/Token/Character.pm \
	CParse/Parser/Token/Float.pm \
	CParse/Parser/Token/Identifier.pm \
	CParse/Parser/Token/Integer.pm \
	CParse/Parser/Token/Keyword.pm \
	CParse/Parser/Token/Punctuator.pm \
	CParse/Parser/Token/String.pm \
	CParse/Pointer.pm \
	CParse/StorageClass.pm \
	CParse/String.pm \
	CParse/Struct.pm \
	CParse/StructDeclaration.pm \
	CParse/StructDeclarator.pm \
	CParse/StructRef.pm \
	CParse/TypeName.pm \
	CParse/TypeQualifier.pm \
	CParse/TypeSpecifier.pm \
	CParse/Union.pm \
	CParse/UnionRef.pm \
	CType/Array.pm \
	CType/BitField.pm \
	CType/Builtin.pm \
	CType/Enum.pm \
	CType/Function.pm \
	CType/Fundamental.pm \
	CType/Native.pm \
	CType/Pointer.pm \
	CType/Ref.pm \
	CType/Struct.pm \
	CType/Union.pm

INSTALL_arch_perl_FILES = CType/Native.pm

install:
	mkdir -p "$(DESTDIR)$(prefix)/bin"
	for i in $(INSTALL_bin_FILES); \
	do \
		cp $$i "$(DESTDIR)$(prefix)/bin/$$i"; \
	done
	for i in $(INSTALL_perl_FILES); \
	do \
		mkdir -p `dirname "$(DESTDIR)$(prefix)/share/icheck/perl5/$$i"`; \
		cp $$i "$(DESTDIR)$(prefix)/share/icheck/perl5/$$i"; \
	done
	for i in $(INSTALL_arch_perl_FILES); \
	do \
		mkdir -p `dirname "$(DESTDIR)$(prefix)/lib/icheck/perl5/$$i"`; \
		cp $$i "$(DESTDIR)$(prefix)/lib/icheck/perl5/$$i"; \
	done

test:
	./test.pl t

gen_tests:
	./make_tests.pl t

typegen.c: typegen.pl
	./typegen.pl > typegen.c.new
	mv typegen.c.new typegen.c

typegen: typegen.c
	gcc -std=gnu99 -o typegen typegen.c

CType/Native.pm: typegen
	./typegen > CType/Native.pm.new
	mv CType/Native.pm.new CType/Native.pm

## icheck 0.9.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
-all: CType/Native.pm
+all: CType/Native.pm parser-perlxs
 
 clean:
 	rm -f typegen.c typegen CType/Native.pm
+	-$(MAKE) -C ext/CParse-Parser-PerlXS clean
+	rm -f ext/CParse-Parser-PerlXS/Makefile.old
 
 prefix=/usr
 DESTDIR=
@@ -182,11 +184,12 @@
 		mkdir -p `dirname "$(DESTDIR)$(prefix)/lib/icheck/perl5/$$i"`; \
 		cp $$i "$(DESTDIR)$(prefix)/lib/icheck/perl5/$$i"; \
 	done
+	$(MAKE) -C ext/CParse-Parser-PerlXS install
 
 test:
 	./test.pl t
 
-gen_tests:
+gen-tests:
 	./make_tests.pl t
 
 typegen.c: typegen.pl
@@ -199,3 +202,7 @@
 CType/Native.pm: typegen
 	./typegen > CType/Native.pm.new
 	mv CType/Native.pm.new CType/Native.pm
+
+parser-perlxs:
+	(cd ext/CParse-Parser-PerlXS && perl Makefile.PL INSTALLSITELIB=$(DESTDIR)$(prefix)/share/icheck/perl5/ INSTALLSITEARCH=$(DESTDIR)$(prefix)/lib/icheck/perl5 OPTIMIZE="-O2 -Wall -g")
+	$(MAKE) -C ext/CParse-Parser-PerlXS

=== debian/changelog ===
icheck (0.9.7-9) unstable; urgency=medium

  * QA upload
  * Add perl-xs-dev to Build-Depends (Closes: #1102859)
  * d/rules: shorter dh
  * Standards-Version: 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Nov 2025 11:35:35 +0100

icheck (0.9.7-8) unstable; urgency=medium

  * QA upload
  * Maintain package on Salsa in Debian team
  * d/rules: short dh
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add missing ${misc:Depends} to Depends for icheck.
  * d/copyright: DEP5
  * Add fake watch file

 -- Andreas Tille <tille@debian.org>  Wed, 01 Jan 2025 10:31:55 +0100

icheck (0.9.7-7) unstable; urgency=medium

  * Orphan package. After 15 years of NMU maintenance, it is time
    to make it official.
  * Remove need for root when building the package. (Closes: #1089345)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 12:54:46 +0000

icheck (0.9.7-6.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing patch to suppress test case 04's diff. (Closes: #1038936)

 -- Bastian Germann <bage@debian.org>  Fri, 23 Jun 2023 16:02:35 +0200

icheck (0.9.7-6.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 (quilt) source format.

 -- Bastian Germann <bage@debian.org>  Mon, 12 Jun 2023 14:22:25 +0200

icheck (0.9.7-6.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999090).

 -- Marcos Talau <talau@debian.org>  Wed, 02 Nov 2022 20:15:09 -0300

icheck (0.9.7-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with Perl 5.24: Assuming NOT a POSIX class since there is
    no terminating ':' in regex": fix class in CParse::String.
    (Closes: #825013)
  * Fix "Removal of debhelper compat 4": use debhelper 9 in
    debian/{control,compat}.
    (Closes: #817497)

 -- gregor herrmann <gregoa@debian.org>  Sat, 04 Jun 2016 23:43:42 +0200

icheck (0.9.7-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with compilers that default to C99 (clang
    and GCC 5).  Thanks to Tim Potter for the patch.  Closes: #777910

 -- Martin Michlmayr <tbm@hp.com>  Thu, 16 Jul 2015 10:25:07 -0400

icheck (0.9.7-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add correct Perl dependencies. Closes: #488159.

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 22 Jul 2008 21:16:19 +0200

icheck (0.9.7-6) unstable; urgency=low

  * New maintainer upload. Closes: #352431.

 -- Erinn Clark <erinn@double-helix.org>  Sun, 02 Apr 2006 17:38:26 -0400

icheck (0.9.7-5) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#352431); set maintainer to Debian QA Group.
  * Makefile: Run MakeMaker with INSTALLDIRS=vendor to get rid of
    .packlist files.  Closes: #356256.
  * debian/icheck.dirs: Let the Makefiles create directories.
  * debian/rules: Use dh_shlibdeps.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Thu, 23 Mar 2006 11:23:05 +0100

icheck (0.9.7-4) unstable; urgency=low

  * Fix stupid makefile

 -- Andrew Suffield <asuffield@debian.org>  Mon, 10 Oct 2005 04:05:18 +0100

icheck (0.9.7-3) unstable; urgency=low

  * Upload the version *with* the fix applied. Not the one without it. I
    am sacrificing a kitten just to make sure.

 -- Andrew Suffield <asuffield@debian.org>  Mon, 15 Aug 2005 19:57:52 +0100

icheck (0.9.7-2) unstable; urgency=low

  * Kill off the pesky test for alignment difference output, it's just not
    going to work.

 -- Andrew Suffield <asuffield@debian.org>  Mon, 15 Aug 2005 17:29:57 +0100

icheck (0.9.7-1) unstable; urgency=low

  * New upstream release

 -- Andrew Suffield <asuffield@debian.org>  Mon,  1 Aug 2005 18:28:17 +0100

icheck (0.9.6-1) unstable; urgency=low

  * New upstream release
     - Generate alignment attributes in even more arch-indep form
       (closes: #318710, again)

 -- Andrew Suffield <asuffield@debian.org>  Mon,  1 Aug 2005 01:54:55 +0100

icheck (0.9.5-1) unstable; urgency=low

  * New upstream release
     - Generate alignment attributes in arch-indep form (closes: #318710)

 -- Andrew Suffield <asuffield@debian.org>  Sun, 31 Jul 2005 18:48:26 +0100

icheck (0.9.4-1) unstable; urgency=low

  * New upstream release
     - Include manpage

 -- Andrew Suffield <asuffield@debian.org>  Wed,  6 Jul 2005 19:48:39 +0100

icheck (0.9.3-1) unstable; urgency=low

  * New upstream release
     - Handles characters treated as integer values (closes: #308162)
     - Includes support for baseline files
  * On target for etch (closes: #306078)

 -- Andrew Suffield <asuffield@debian.org>  Sun,  3 Jul 2005 21:28:06 +0100

icheck (0.9.2-1) unstable; urgency=low

  * New upstream release
     - Handles some more obscure C and gcc stuff
     - enums work properly now

 -- Andrew Suffield <asuffield@debian.org>  Fri, 25 Mar 2005 17:42:57 +0000

icheck (0.9.1-1) unstable; urgency=low

  * Initial Release.

 -- Andrew Suffield <asuffield@debian.org>  Sun, 20 Mar 2005 06:01:53 +0000

=== debian/control ===
Source: icheck
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libtext-diff-perl,
 perl-xs-dev
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/icheck.git
Vcs-Browser: https://salsa.debian.org/debian/icheck

Package: icheck
Architecture: any
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: C interface ABI/API checker
 A tool for statically checking C interfaces for API and ABI
 changes. All changes to type declarations that can cause ABI changes
 should be detected, along with most API changes.
 .
 icheck is intended for use with libraries, as a method of preventing
 ABI drift.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_perl:
	dh_perl usr/share/icheck/perl5 usr/lib/icheck/perl5
